Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.parser
Class OWLlinkXMLRequestParserHandler

    java.lang.Object
      OWLXMLParserHandler
          org.semanticweb.owlapi.owllink.parser.MyOWLXMLParserHandler
              org.semanticweb.owlapi.owllink.server.parser.OWLlinkXMLRequestParserHandler

    public class OWLlinkXMLRequestParserHandler

extends MyOWLXMLParserHandler

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 25.10.2009

Field Summary
`protected java.util.Map<java.lang.String,OWLlinkElementHandlerFactory>` | `owllinkHandlerMap`
`protected PrefixManagerProvider` | `prov`

Fields inherited from class org.semanticweb.owlapi.owllink.parser.MyOWLXMLParserHandler
`handlerMap, handlerStack, prefixName2PrefixMap`

Constructor Summary
`OWLlinkXMLRequestParserHandler(OWLOntologyManager owlOntologyManager, PrefixManagerProvider prov, OWLOntology ontology)`
`OWLlinkXMLRequestParserHandler(OWLOntologyManager owlOntologyManager, PrefixManagerProvider prov, OWLOntology ontology, OWLElementHandler topHandler)`

Method Summary
`void` | `addFactory(OWLlinkElementHandlerFactory factory, java.lang.String... legacyElementNames)`
`java.util.List<Request>` | `getRequest()`
`void` | `setRequestListener(OWLLinkRequestListener listener)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.MyOWLXMLParserHandler
`characters, endDocument, endElement, getAbbreviatedIRI, getBase, getDataFactory, getIRI, getLineNumber, getOntology, getOWLOntologyManager, getPrefixName2PrefixMap, processXMLBase, resolveEntity, setDocumentLocator, setPrefixName2PrefixMap, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owllinkHandlerMap

    protected java.util.Map<java.lang.String,OWLlinkElementHandlerFactory> owllinkHandlerMap

### prov

    protected PrefixManagerProvider prov

Constructor Detail

### OWLlinkXMLRequestParserHandler

    public OWLlinkXMLRequestParserHandler(OWLOntologyManager owlOntologyManager,
                                          PrefixManagerProvider prov,
                                          OWLOntology ontology)

### OWLlinkXMLRequestParserHandler

    public OWLlinkXMLRequestParserHandler(OWLOntologyManager owlOntologyManager,
                                          PrefixManagerProvider prov,
                                          OWLOntology ontology,
                                          OWLElementHandler topHandler)

Method Detail

### getRequest

    public java.util.List<Request> getRequest()

### setRequestListener

    public void setRequestListener(OWLLinkRequestListener listener)

### addFactory

    public void addFactory(OWLlinkElementHandlerFactory factory,
                           java.lang.String... legacyElementNames)

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Overrides:
    `startElement` in class `MyOWLXMLParserHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD